#pragma once
#include "ffglquickstart/Plugin.h"

// 2019-07-20 ffgl@subpixels.com
// - Replaced "Ptr" (shared_ptr) parameter members with regular pointers

class FFGLGradients : public Plugin
{
public:
	FFGLGradients();

	//CFreeFrameGLPlugin
	ffgl::FFResult InitGL( const ffgl::ViewportStruct* vp ) override;
	ffgl::FFResult ProcessOpenGL( ffgl::ProcessOpenGLStruct* pGL ) override;
	ffgl::FFResult DeInitGL() override;

private:
	Param* hue1;
	Param* hue2;
	Param* saturation;
	Param* brightness;

	ffglex::Shader shader;   //!< Utility to help us compile and link some shaders into a program.
	ffglex::ScreenQuad quad; //!< Utility to help us render a full screen quad.
};
